Bug 1038156 - Intel I218-LM picking 10mb instead of 1000mb [NEEDINFO]
Intel I218-LM picking 10mb instead of 1000mb
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
28
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-04 09:18 EST by Havoc Pennington
Modified: 2018-07-31 16:14 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-17 14:44:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michael.yartys: needinfo? (kernel-maint)
andre.ruiz: needinfo? (kernel-maint)


Attachments (Terms of Use)
dropwatch, ifacemon, logs from a lossy ping (23.96 KB, application/gzip)
2013-12-11 09:00 EST, Havoc Pennington
no flags Details

  None (edit)
Description Havoc Pennington 2013-12-04 09:18:39 EST
Description of problem:

Ethernet connects at 10Mb on the same cable/network that another laptop uses 1000Mb for.

00:19.0 Ethernet controller: Intel Corporation Ethernet Connection I218-LM (rev 04)

This is on a thinkpad T440s.

Version-Release number of selected component (if applicable):

kernel-3.11.9-300.fc20.x86_64

How reproducible:

Don't know if it's somehow specific to my network, but just plug in the network cable (with wired connection set to automatic in networkmanager). Use ethtool or GNOME network settings, both show 10Mb/s.

Plug same cable into another laptop and it works fine (it picks 1000).
Comment 1 Michele Baldessari 2013-12-05 06:49:22 EST
Hi Havoc,

could you paste the relevant bits of 'lspci -vvvn -k' for this card?
Also the output of 'ethtool <iface>', 'ethtool -i <iface>' and 'ethtool -a <iface>'

Thanks,
Michele
Comment 2 Havoc Pennington 2013-12-05 09:25:43 EST
00:19.0 0200: 8086:155a (rev 04)
        Subsystem: 17aa:2214
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 63
        Region 0: Memory at f0600000 (32-bit, non-prefetchable) [size=128K]
        Region 1: Memory at f063e000 (32-bit, non-prefetchable) [size=4K]
        Region 2: I/O ports at 3080 [size=32]
        Capabilities: <access denied>
        Kernel driver in use: e1000e

Settings for enp0s25:
	Supported ports: [ TP ]
	Supported link modes:   10baseT/Half 10baseT/Full 
	                        100baseT/Half 100baseT/Full 
	                        1000baseT/Full 
	Supported pause frame use: No
	Supports auto-negotiation: Yes
	Advertised link modes:  10baseT/Half 10baseT/Full 
	                        100baseT/Half 100baseT/Full 
	                        1000baseT/Full 
	Advertised pause frame use: No
	Advertised auto-negotiation: Yes
	Speed: Unknown!
	Duplex: Unknown! (255)
	Port: Twisted Pair
	PHYAD: 2
	Transceiver: internal
	Auto-negotiation: on
	MDI-X: Unknown (auto)
Cannot get wake-on-lan settings: Operation not permitted
	Current message level: 0x00000007 (7)
			       drv probe link
	Link detected: no

$ ethtool -i enp0s25
driver: e1000e
version: 2.3.2-k
firmware-version: 0.6-3
bus-info: 0000:00:19.0
supports-statistics: yes
supports-test: yes
supports-eeprom-access: yes
supports-register-dump: yes
supports-priv-flags: no

$ ethtool -a enp0s25
Pause parameters for enp0s25:
Autonegotiate:	on
RX:		on
TX:		on
Comment 3 Ferry Huberts 2013-12-05 11:04:34 EST
I don't have this problem on my T440s, I'm on F19, upgraded from F18. BIOS 2.14
Comment 4 Michele Baldessari 2013-12-05 17:22:11 EST
Hi Havoc,

could you try a 3.12 kernel or later. As those have:
commit 16b095a413fc6567a56e6e41909a8757e74acbc3
Author: Bruce Allan <bruce.w.allan@intel.com>
Date:   Sat Jun 29 07:42:39 2013 +0000

    e1000e: fix I217/I218 PHY initialization flow

You could try it from here:
http://alt.fedoraproject.org/pub/alt/rawhide-kernel-nodebug/x86_64/

Also, I see that ethtool returns speed unknown. Did you get the 10Mb from
mii-tool (and NM)? What does mii-tool output? 

thanks,
Michele
Comment 5 Havoc Pennington 2013-12-05 17:37:59 EST
I gathered the ethtool without a cable plugged in, apologies. I was in a meeting and needed to stay on wifi :-)

Here is the output with the link up. I'll try the kernel.


$ ethtool enp0s25
Settings for enp0s25:
	Supported ports: [ TP ]
	Supported link modes:   10baseT/Half 10baseT/Full 
	                        100baseT/Half 100baseT/Full 
	                        1000baseT/Full 
	Supported pause frame use: No
	Supports auto-negotiation: Yes
	Advertised link modes:  10baseT/Half 10baseT/Full 
	                        100baseT/Half 100baseT/Full 
	                        1000baseT/Full 
	Advertised pause frame use: No
	Advertised auto-negotiation: Yes
	Speed: 10Mb/s
	Duplex: Full
	Port: Twisted Pair
	PHYAD: 2
	Transceiver: internal
	Auto-negotiation: on
	MDI-X: on (auto)
Cannot get wake-on-lan settings: Operation not permitted
	Current message level: 0x00000007 (7)
			       drv probe link
	Link detected: yes

$ ethtool -i enp0s25
driver: e1000e
version: 2.3.2-k
firmware-version: 0.6-3
bus-info: 0000:00:19.0
supports-statistics: yes
supports-test: yes
supports-eeprom-access: yes
supports-register-dump: yes
supports-priv-flags: no

$ ethtool -a enp0s25
Pause parameters for enp0s25:
Autonegotiate:	on
RX:		on
TX:		on
Comment 6 Havoc Pennington 2013-12-05 17:51:02 EST
(still on 3.11.9 kernel, rebooting into 3.12 shortly)

mii-tool says 100baseTx-FD interestingly, but ethtool at this same moment still says 10Mb/s.

$ sudo mii-tool --verbose enp0s25
enp0s25: negotiated 100baseTx-FD flow-control, link ok
  product info: vendor 00:55:00, model 10 rev 0
  basic mode:   autonegotiation enabled
  basic status: autonegotiation complete, link ok
  capabilities: 1000baseT-FD 100baseTx-FD 100baseTx-HD 10baseT-FD 10baseT-HD
  advertising:  1000baseT-FD 100baseTx-FD 100baseTx-HD 10baseT-FD 10baseT-HD flow-control
  link partner: 100baseTx-FD 100baseTx-HD 10baseT-FD 10baseT-HD flow-control
Comment 7 Havoc Pennington 2013-12-05 18:32:22 EST
Interesting. Now testing with 3.12.3-1.fc21.x86_64

1. It now reports 1000Mb/s
2. It still seems to not work

So, I didn't elaborate before about not working; the network connection was slow/lossy when it was reporting 10Mb/s, so web pages would mostly not load, and for example when pinging www.gnome.org it always dropped all packets after the 8th ping.

I was attributing this to the same problem as the 10Mb/s, but I guess it might be separate, because with 3.12.3 I get the right speed but still the failure to load pages and the ping breakdown. Here's a cut-and-paste from the terminal.

So maybe this is a new or different bug and the speed report is fixed, but the ethernet controller still seems wonky.

[hp@localhost tmp]$ # starting on wifi, ping works fine
[hp@localhost tmp]$ ping www.gnome.org
PING socket.gnome.org (91.189.93.3) 56(84) bytes of data.
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=1 ttl=48 time=139 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=2 ttl=48 time=162 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=3 ttl=48 time=184 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=4 ttl=48 time=104 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=5 ttl=48 time=127 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=6 ttl=48 time=149 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=7 ttl=48 time=102 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=8 ttl=48 time=194 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=9 ttl=48 time=114 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=10 ttl=48 time=136 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=11 ttl=48 time=159 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=12 ttl=48 time=182 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=13 ttl=48 time=204 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=14 ttl=48 time=125 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=15 ttl=48 time=147 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=16 ttl=48 time=170 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=17 ttl=48 time=192 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=18 ttl=48 time=112 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=19 ttl=48 time=134 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=20 ttl=48 time=157 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=21 ttl=48 time=179 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=22 ttl=48 time=202 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=23 ttl=48 time=122 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=24 ttl=48 time=144 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=25 ttl=48 time=103 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=26 ttl=48 time=163 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=27 ttl=48 time=110 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=28 ttl=48 time=133 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=29 ttl=48 time=103 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=30 ttl=48 time=179 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=31 ttl=48 time=110 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=32 ttl=48 time=121 ms
^C
--- socket.gnome.org ping statistics ---
32 packets transmitted, 32 received, 0% packet loss, time 31044ms
rtt min/avg/max/mdev = 102.590/146.211/204.596/31.548 ms
[hp@localhost tmp]$ ethtool enp0s25 | grep Speed
Cannot get wake-on-lan settings: Operation not permitted
	Speed: Unknown!
[hp@localhost tmp]$ # now plugging in the network cable, going on ethernet
[hp@localhost tmp]$ ethtool enp0s25 | grep Speed
Cannot get wake-on-lan settings: Operation not permitted
	Speed: 1000Mb/s
[hp@localhost tmp]$ # note with this kernel it does report 1000Mb/s
[hp@localhost tmp]$ ping www.gnome.org
PING socket.gnome.org (91.189.93.3) 56(84) bytes of data.
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=1 ttl=48 time=101 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=2 ttl=48 time=103 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=3 ttl=48 time=102 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=4 ttl=48 time=102 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=5 ttl=48 time=102 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=6 ttl=48 time=101 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=7 ttl=48 time=103 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=8 ttl=48 time=102 ms
^C
--- socket.gnome.org ping statistics ---
27 packets transmitted, 8 received, 70% packet loss, time 26010ms
rtt min/avg/max/mdev = 101.811/102.365/103.248/0.622 ms
[hp@localhost tmp]$ # failure after 8 pings seems consistent
[hp@localhost tmp]$ # wgets and firefox are hopeless too though, not just ping
[hp@localhost tmp]$ # still on ethernet
[hp@localhost tmp]$ ethtool enp0s25 | grep Speed
Cannot get wake-on-lan settings: Operation not permitted
	Speed: 1000Mb/s
[hp@localhost tmp]$ # unplugged cable here, back on wifi
[hp@localhost tmp]$ ethtool enp0s25 | grep Speed
Cannot get wake-on-lan settings: Operation not permitted
	Speed: Unknown!
[hp@localhost tmp]$ # ping works again
[hp@localhost tmp]$ # this is the exact same network, just wifi vs. ethernet
[hp@localhost tmp]$ ping www.gnome.org
PING socket.gnome.org (91.189.93.3) 56(84) bytes of data.
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=1 ttl=48 time=204 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=2 ttl=48 time=124 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=3 ttl=48 time=147 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=4 ttl=48 time=170 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=5 ttl=48 time=193 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=6 ttl=48 time=113 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=7 ttl=48 time=135 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=8 ttl=48 time=158 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=9 ttl=48 time=180 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=10 ttl=48 time=203 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=11 ttl=48 time=123 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=12 ttl=48 time=145 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=13 ttl=48 time=168 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=14 ttl=48 time=191 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=15 ttl=48 time=111 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=16 ttl=48 time=134 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=17 ttl=48 time=156 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=18 ttl=48 time=179 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=19 ttl=48 time=201 ms
64 bytes from cobalt.canonical.com (91.189.93.3): icmp_seq=20 ttl=48 time=121 ms
^C
--- socket.gnome.org ping statistics ---
20 packets transmitted, 20 received, 0% packet loss, time 19026ms
rtt min/avg/max/mdev = 111.358/158.279/204.535/30.687 ms
[hp@localhost tmp]$ uname -a
Linux localhost.localdomain 3.12.3-1.fc21.x86_64 #1 SMP Wed Dec 4 23:08:47 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
Comment 8 Michele Baldessari 2013-12-07 05:35:07 EST
Hi Havoc,

ok, so the speed reporting issue, whatever it was, got fixed in 3.12. Let's
see what's up with the packet loss.

Can you start the following script before launching the ping on the wired
interface: http://people.redhat.com/~fleitner/ifacemon/ifacemon.sh

That will collect some stats that can clue us in.

Also before starting the ping, launch 'sudo dropwatch -l kas' and capture the output

Btw. Does /var/log/messages mention any watchdog nic hangs or somesuch?

Can you attach the output of dropwatch and ifacemon to this bz?

Thanks,
Michele
Comment 9 Havoc Pennington 2013-12-11 09:00:08 EST
Created attachment 835281 [details]
dropwatch, ifacemon, logs from a lossy ping
Comment 10 Havoc Pennington 2013-12-11 09:07:23 EST
I have the /var/log/messages during the ping in the tarball as logs.txt, there's also dropwatch.log and the directory ifacemon creates in there.

Two things made this tricky to collect:

1) the ping is not ALWAYS lossy (though it seems to be a matter of, you need some network activity before it starts to break... I've never had the network keep working for long enough to load more than one or two web pages so it is pretty easy to reproduce).

2) ctrl+C from ifacemon always rebooted the system.

I suppose 2) might be a clue pointing to some sort of bug, though whether it's the same bug I don't know.

There are probably things other than the ping mixed in to the dropwatch and ifacemon, since it's hard to track down and eliminate everything that might touch network.
Comment 11 Michele Baldessari 2013-12-26 16:16:41 EST
Hi Havoc,

apologies for the delay. 2) could be related yes although it is hard to say.
Did you see any oops messages with Ctrl-C? Any chance of a picture or to collect
a crash dump (https://fedoraproject.org/wiki/How_to_use_kdump_to_debug_kernel_crashes) ?

In ethtool -S we see zero drops or errors:
$ grep -i -E "err|drop" ethtool-S.log |grep -v ": 0$"
$

I see that in the timings of the script we have the following:
Wed Dec 11 08:44:58 EST 2013
Wed Dec 11 08:45:00 EST 2013
Wed Dec 11 08:45:02 EST 2013
Wed Dec 11 08:45:04 EST 2013
Wed Dec 11 08:45:06 EST 2013
Wed Dec 11 08:51:45 EST 2013
Wed Dec 11 08:51:47 EST 2013
Wed Dec 11 08:51:49 EST 2013
Wed Dec 11 08:51:51 EST 2013
Wed Dec 11 08:51:53 EST 2013
Wed Dec 11 08:51:55 EST 2013

I assume that between 08:45:06 and 08:51:45 the script was stopped and then restarted yes? (I assume that is when the laptop rebooted after the Ctrl-C)

Wed Dec 11 08:51:45 EST 2013        Wed Dec 11 08:51:45 EST 2013        
    858 segments received                rx_packets: 634
    892 segments send out                tx_packets: 994
    280 segments retransmited                         
Wed Dec 11 08:51:47 EST 2013        Wed Dec 11 08:51:47 EST 2013
    858 segments received                rx_packets: 634
    896 segments send out                tx_packets: 1000
    282 segments retransmited                         
Wed Dec 11 08:51:49 EST 2013        Wed Dec 11 08:51:49 EST 2013
    858 segments received                rx_packets: 634
    896 segments send out                tx_packets: 1003
    284 segments retransmited                         
Wed Dec 11 08:51:51 EST 2013        Wed Dec 11 08:51:51 EST 2013
    858 segments received                rx_packets: 634
    896 segments send out                tx_packets: 1003
    284 segments retransmited                         
Wed Dec 11 08:51:53 EST 2013        Wed Dec 11 08:51:53 EST 2013
    858 segments received                rx_packets: 634
    896 segments send out                tx_packets: 1005
    286 segments retransmited                         
Wed Dec 11 08:51:55 EST 2013        Wed Dec 11 08:51:55 EST 2013
    858 segments received                rx_packets: 634
    899 segments send out                tx_packets: 1009
    287 segments retransmited                         
Wed Dec 11 08:51:57 EST 2013        Wed Dec 11 08:51:57 EST 2013
    858 segments received                rx_packets: 634
    899 segments send out                tx_packets: 1010
    287 segments retransmited                         
Wed Dec 11 08:51:59 EST 2013        Wed Dec 11 08:51:59 EST 2013
    858 segments received                rx_packets: 634
    900 segments send out                tx_packets: 1014
    287 segments retransmited                         
Wed Dec 11 08:52:01 EST 2013        Wed Dec 11 08:52:01 EST 2013
    858 segments received                rx_packets: 634
    900 segments send out                tx_packets: 1016
    287 segments retransmited                         

I would have expected some of the errors counters in ethtool to increase tbh.
Given comment #3 is there a chance that there is a bios update around?

regards,
Michele
Comment 12 Justin M. Forbes 2014-02-24 09:01:38 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 13 Justin M. Forbes 2014-03-17 14:44:19 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for several weeks and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 20, please feel free to reopen the bug and provide the additional information requested.
Comment 14 Kir Kolyshkin 2015-02-02 23:06:28 EST
I have the same issue as reported earlier in comment #7. For me, there are no pings (nor other network activity) for periods of 40 seconds or less (as can be easily seen with ping). Sometimes it works just fine, sometimes it dies intermittently. Nothing in logs. Tried changing both the Ethernet cable and the switch.

I am running Fedora 20 with kernel 3.17.8-200.fc20.x86_64 on a Lenovo T440s. Alas, now it is not reproducible, but it was half an hour ago.

Can provide any details once I'll be able to reproduce it.
Comment 15 Andre Ruiz 2018-05-08 10:12:09 EDT
I'm having the same issue on fedora 28 with Intel I219-LM. All the symptoms match exatcly the described by the OP.

Machine: ThinkPad T470 6th-gen i5-6300U

[root@thinkpad ~]# lspci | grep Ethernet
00:1f.6 Ethernet controller: Intel Corporation Ethernet Connection I219-LM (rev 21)

[root@thinkpad ~]# uname -a
Linux thinkpad.tokenlabs 4.16.6-302.fc28.x86_64 #1 SMP Wed May 2 00:07:06 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

When I plug the ethernet cable I get only 10Mbit/s and _no_ communication. Ethernet Link is detected and dhcp request is sent, after some time gnome shows a notification that it failed to initialize the network.
Comment 16 Andre Ruiz 2018-05-08 10:15:36 EDT
Not sure how to re-open this bug.
Comment 17 Andre Ruiz 2018-05-08 18:46:50 EDT
Sometimes it gets an IP and ping looks normal (no apparent losses). Sometimes it won't get an IP at all (dhcp). I still have not understood what's the difference between the two scenarios.

[root@thinkpad ~]# dmesg | grep -e1000e | tail -n 5
[27492.984487] e1000e: enp0s31f6 NIC Link is Up 10 Mbps Full Duplex, Flow Control: Rx/Tx
[27492.984491] e1000e 0000:00:1f.6 enp0s31f6: 10/100 speed: disabling TSO
[27620.174438] e1000e: enp0s31f6 NIC Link is Down
[27839.073327] e1000e: enp0s31f6 NIC Link is Up 10 Mbps Full Duplex, Flow Control: Rx/Tx
[27839.073334] e1000e 0000:00:1f.6 enp0s31f6: 10/100 speed: disabling TSO

---> With cable plugged, and speed 10Mbit/s:

[root@thinkpad ~]# ethtool enp0s31f6
Settings for enp0s31f6:
	Supported ports: [ TP ]
	Supported link modes:   10baseT/Half 10baseT/Full 
	                        100baseT/Half 100baseT/Full 
	                        1000baseT/Full 
	Supported pause frame use: No
	Supports auto-negotiation: Yes
	Supported FEC modes: Not reported
	Advertised link modes:  10baseT/Half 10baseT/Full 
	                        100baseT/Half 100baseT/Full 
	                        1000baseT/Full 
	Advertised pause frame use: No
	Advertised auto-negotiation: Yes
	Advertised FEC modes: Not reported
	Speed: 10Mb/s
	Duplex: Full
	Port: Twisted Pair
	PHYAD: 1
	Transceiver: internal
	Auto-negotiation: on
	MDI-X: on (auto)
	Supports Wake-on: pumbg
	Wake-on: g
	Current message level: 0x00000007 (7)
			       drv probe link
	Link detected: yes

[root@thinkpad ~]# ethtool -i enp0s31f6
driver: e1000e
version: 3.2.6-k
firmware-version: 0.13-4
expansion-rom-version: 
bus-info: 0000:00:1f.6
supports-statistics: yes
supports-test: yes
supports-eeprom-access: yes
supports-register-dump: yes
supports-priv-flags: no

[root@thinkpad ~]# ethtool -a enp0s31f6
Pause parameters for enp0s31f6:
Autonegotiate:	on
RX:		on
TX:		on


---> with cable UNplugged

root@thinkpad ~]# ethtool enp0s31f6
Settings for enp0s31f6:
	Supported ports: [ TP ]
	Supported link modes:   10baseT/Half 10baseT/Full 
	                        100baseT/Half 100baseT/Full 
	                        1000baseT/Full 
	Supported pause frame use: No
	Supports auto-negotiation: Yes
	Supported FEC modes: Not reported
	Advertised link modes:  10baseT/Half 10baseT/Full 
	                        100baseT/Half 100baseT/Full 
	                        1000baseT/Full 
	Advertised pause frame use: No
	Advertised auto-negotiation: Yes
	Advertised FEC modes: Not reported
	Speed: Unknown!
	Duplex: Unknown! (255)
	Port: Twisted Pair
	PHYAD: 2
	Transceiver: internal
	Auto-negotiation: on
	MDI-X: Unknown (auto)
	Supports Wake-on: pumbg
	Wake-on: g
	Current message level: 0x00000007 (7)
			       drv probe link

[root@thinkpad ~]# ethtool -i enp0s31f6
driver: e1000e
version: 3.2.6-k
firmware-version: 0.13-4
expansion-rom-version: 
bus-info: 0000:00:1f.6
supports-statistics: yes
supports-test: yes
supports-eeprom-access: yes
supports-register-dump: yes
supports-priv-flags: no

[root@thinkpad ~]# ethtool -a enp0s31f6
Pause parameters for enp0s31f6:
Autonegotiate:	on
RX:		on
TX:		on
Comment 18 Andre Ruiz 2018-05-08 18:59:51 EDT
---> with cable plugged and 1000Mbit/s (after a reboot). Note, it was not needed a complete poweroff, just issuing a normal reboot from gnome.

[root@thinkpad ~]# ethtool enp0s31f6
Settings for enp0s31f6:
	Supported ports: [ TP ]
	Supported link modes:   10baseT/Half 10baseT/Full 
	                        100baseT/Half 100baseT/Full 
	                        1000baseT/Full 
	Supported pause frame use: No
	Supports auto-negotiation: Yes
	Supported FEC modes: Not reported
	Advertised link modes:  10baseT/Half 10baseT/Full 
	                        100baseT/Half 100baseT/Full 
	                        1000baseT/Full 
	Advertised pause frame use: No
	Advertised auto-negotiation: Yes
	Advertised FEC modes: Not reported
	Speed: 1000Mb/s
	Duplex: Full
	Port: Twisted Pair
	PHYAD: 1
	Transceiver: internal
	Auto-negotiation: on
	MDI-X: off (auto)
	Supports Wake-on: pumbg
	Wake-on: g
	Current message level: 0x00000007 (7)
			       drv probe link
	Link detected: yes

[root@thinkpad ~]# ethtool -i enp0s31f6
driver: e1000e
version: 3.2.6-k
firmware-version: 0.13-4
expansion-rom-version: 
bus-info: 0000:00:1f.6
supports-statistics: yes
supports-test: yes
supports-eeprom-access: yes
supports-register-dump: yes
supports-priv-flags: no

[root@thinkpad ~]# ethtool -a enp0s31f6
Pause parameters for enp0s31f6:
Autonegotiate:	on
RX:		on
TX:		on
Comment 19 Andre Ruiz 2018-05-08 19:01:58 EDT
[root@thinkpad ~]# lspci -vvvn -k
00:00.0 0600: 8086:1904 (rev 08)
	Subsystem: 17aa:2245
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: [e0] Vendor Specific Information: Len=10 <?>
	Kernel driver in use: skl_uncore

00:02.0 0300: 8086:1916 (rev 07) (prog-if 00 [VGA controller])
	Subsystem: 17aa:2245
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 125
	Region 0: Memory at eb000000 (64-bit, non-prefetchable) [size=16M]
	Region 2: Memory at a0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at e000 [size=64]
	[virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
	Capabilities: [40] Vendor Specific Information: Len=0c <?>
	Capabilities: [70] Express (v2) Root Complex Integrated Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0
			ExtTag- RBE+
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
		DevCap2: Completion Timeout: Not Supported, TimeoutDis-, LTR-, OBFF Not Supported
			 AtomicOpsCap: 32bit- 64bit- 128bitCAS-
		DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-, LTR-, OBFF Disabled
			 AtomicOpsCtl: ReqEn-
	Capabilities: [ac] MSI: Enable+ Count=1/1 Maskable- 64bit-
		Address: fee00018  Data: 0000
	Capabilities: [d0] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [100 v1] Process Address Space ID (PASID)
		PASIDCap: Exec+ Priv-, Max PASID Width: 14
		PASIDCtl: Enable- Exec- Priv-
	Capabilities: [200 v1] Address Translation Service (ATS)
		ATSCap:	Invalidate Queue Depth: 00
		ATSCtl:	Enable-, Smallest Translation Unit: 00
	Capabilities: [300 v1] Page Request Interface (PRI)
		PRICtl: Enable- Reset-
		PRISta: RF- UPRGI- Stopped-
		Page Request Capacity: 00008000, Page Request Allocation: 00000000
	Kernel driver in use: i915
	Kernel modules: i915

00:14.0 0c03: 8086:9d2f (rev 21) (prog-if 30 [XHCI])
	Subsystem: 17aa:2245
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 122
	Region 0: Memory at ec220000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: [70] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0-,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [80] MSI: Enable+ Count=1/8 Maskable- 64bit+
		Address: 00000000fee00258  Data: 0000
	Kernel driver in use: xhci_hcd

00:14.2 1180: 8086:9d31 (rev 21)
	Subsystem: 17aa:2245
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at ec248000 (64-bit, non-prefetchable) [size=4K]
	Capabilities: [50] Power Management version 3
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [80] MSI: Enable- Count=1/1 Maskable- 64bit-
		Address: 00000000  Data: 0000
	Kernel driver in use: intel_pch_thermal
	Kernel modules: intel_pch_thermal

00:16.0 0780: 8086:9d3a (rev 21)
	Subsystem: 17aa:2245
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 129
	Region 0: Memory at ec249000 (64-bit, non-prefetchable) [size=4K]
	Capabilities: [50] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot+,D3cold-)
		Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [8c] MSI: Enable+ Count=1/1 Maskable- 64bit+
		Address: 00000000fee00318  Data: 0000
	Kernel driver in use: mei_me
	Kernel modules: mei_me

00:16.3 0700: 8086:9d3d (rev 21) (prog-if 02 [16550])
	Subsystem: 17aa:2245
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin D routed to IRQ 19
	Region 0: I/O ports at e060 [size=8]
	Region 1: Memory at ec24b000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [40] MSI: Enable- Count=1/1 Maskable- 64bit+
		Address: 0000000000000000  Data: 0000
	Capabilities: [50] Power Management version 3
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: serial

00:1c.0 0604: 8086:9d10 (rev f1) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 16
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00002000-00002fff [size=4K]
	Memory behind bridge: 9f800000-9f9fffff [size=2M]
	Prefetchable memory behind bridge: 000000009fa00000-000000009fbfffff [size=2M]
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [40] Express (v2) Root Port (Slot+), MSI 00
		DevCap:	MaxPayload 256 bytes, PhantFunc 0
			ExtTag- RBE+
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #1, Speed 8GT/s, Width x4, ASPM L0s L1, Exit Latency L0s unlimited, L1 <4us
			ClockPM- Surprise- LLActRep+ BwNot+ ASPMOptComp+
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x0, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
		SltCap:	AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug+ Surprise+
			Slot #0, PowerLimit 0.000W; Interlock- NoCompl+
		SltCtl:	Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
			Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
		SltSta:	Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet- Interlock-
			Changed: MRL- PresDet- LinkState-
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
		DevCap2: Completion Timeout: Range ABC, TimeoutDis+, LTR+, OBFF Via WAKE# ARIFwd+
			 AtomicOpsCap: Routing- 32bit- 64bit- 128bitCAS-
		DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-, LTR-, OBFF Disabled ARIFwd-
			 AtomicOpsCtl: ReqEn- EgressBlck-
		LnkCtl2: Target Link Speed: 8GT/s, EnterCompliance- SpeedDis-
			 Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
			 Compliance De-emphasis: -6dB
		LnkSta2: Current De-emphasis Level: -3.5dB, EqualizationComplete-, EqualizationPhase1-
			 EqualizationPhase2-, EqualizationPhase3-, LinkEqualizationRequest-
	Capabilities: [80] MSI: Enable- Count=1/1 Maskable- 64bit-
		Address: 00000000  Data: 0000
	Capabilities: [90] Subsystem: 17aa:2245
	Capabilities: [a0] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:1c.6 0604: 8086:9d16 (rev f1) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	I/O behind bridge: 0000f000-00000fff [empty]
	Memory behind bridge: ec100000-ec1fffff [size=1M]
	Prefetchable memory behind bridge: 00000000fff00000-00000000000fffff [empty]
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [40] Express (v2) Root Port (Slot+), MSI 00
		DevCap:	MaxPayload 256 bytes, PhantFunc 0
			ExtTag- RBE+
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #7, Speed 8GT/s, Width x1, ASPM L0s L1, Exit Latency L0s <1us, L1 <16us
			ClockPM- Surprise- LLActRep+ BwNot+ ASPMOptComp+
		LnkCtl:	ASPM L1 Enabled; RCB 64 bytes Disabled- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive+ BWMgmt+ ABWMgmt-
		SltCap:	AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug- Surprise-
			Slot #6, PowerLimit 10.000W; Interlock- NoCompl+
		SltCtl:	Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
			Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
		SltSta:	Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet+ Interlock-
			Changed: MRL- PresDet+ LinkState+
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
		DevCap2: Completion Timeout: Range ABC, TimeoutDis+, LTR+, OBFF Not Supported ARIFwd+
			 AtomicOpsCap: Routing- 32bit- 64bit- 128bitCAS-
		DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-, LTR+, OBFF Disabled ARIFwd-
			 AtomicOpsCtl: ReqEn- EgressBlck-
		LnkCtl2: Target Link Speed: 8GT/s, EnterCompliance- SpeedDis-
			 Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
			 Compliance De-emphasis: -6dB
		LnkSta2: Current De-emphasis Level: -3.5dB, EqualizationComplete-, EqualizationPhase1-
			 EqualizationPhase2-, EqualizationPhase3-, LinkEqualizationRequest-
	Capabilities: [80] MSI: Enable- Count=1/1 Maskable- 64bit-
		Address: 00000000  Data: 0000
	Capabilities: [90] Subsystem: 17aa:2245
	Capabilities: [a0] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [100 v1] Advanced Error Reporting
		UESta:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UEMsk:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt+ RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UESvrt:	DLP+ SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
		CESta:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		CEMsk:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
		AERCap:	First Error Pointer: 00, ECRCGenCap- ECRCGenEn- ECRCChkCap- ECRCChkEn-
			MultHdrRecCap- MultHdrRecEn- TLPPfxPres- HdrLogCap-
		HeaderLog: 00000000 00000000 00000000 00000000
		RootCmd: CERptEn- NFERptEn- FERptEn-
		RootSta: CERcvd- MultCERcvd- UERcvd- MultUERcvd-
			 FirstFatal- NonFatalMsg- FatalMsg- IntMsg 0
		ErrorSrc: ERR_COR: 0000 ERR_FATAL/NONFATAL: 0000
	Capabilities: [140 v1] Access Control Services
		ACSCap:	SrcValid+ TransBlk+ ReqRedir+ CmpltRedir+ UpstreamFwd- EgressCtrl- DirectTrans-
		ACSCtl:	SrcValid- TransBlk- ReqRedir- CmpltRedir- UpstreamFwd- EgressCtrl- DirectTrans-
	Capabilities: [200 v1] L1 PM Substates
		L1SubCap: PCI-PM_L1.2+ PCI-PM_L1.1+ ASPM_L1.2+ ASPM_L1.1+ L1_PM_Substates+
			  PortCommonModeRestoreTime=40us PortTPowerOnTime=44us
		L1SubCtl1: PCI-PM_L1.2+ PCI-PM_L1.1+ ASPM_L1.2+ ASPM_L1.1+
			   T_CommonMode=40us LTR1.2_Threshold=163840ns
		L1SubCtl2: T_PwrOn=44us
	Capabilities: [220 v1] #19
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:1d.0 0604: 8086:9d18 (rev f1) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Bus: primary=00, secondary=05, subordinate=3d, sec-latency=0
	I/O behind bridge: 00003000-00003fff [size=4K]
	Memory behind bridge: d4000000-ea0fffff [size=353M]
	Prefetchable memory behind bridge: 00000000b0000000-00000000d1ffffff [size=544M]
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [40] Express (v2) Root Port (Slot+), MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0
			ExtTag- RBE+
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr+ UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #9, Speed 8GT/s, Width x2, ASPM not supported
			ClockPM- Surprise- LLActRep+ BwNot+ ASPMOptComp+
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x2, TrErr- Train- SlotClk+ DLActive- BWMgmt+ ABWMgmt-
		SltCap:	AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug+ Surprise+
			Slot #8, PowerLimit 25.000W; Interlock- NoCompl+
		SltCtl:	Enable: AttnBtn- PwrFlt- MRL- PresDet+ CmdCplt- HPIrq- LinkChg-
			Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
		SltSta:	Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet- Interlock-
			Changed: MRL- PresDet- LinkState-
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
		DevCap2: Completion Timeout: Range ABC, TimeoutDis+, LTR+, OBFF Not Supported ARIFwd+
			 AtomicOpsCap: Routing- 32bit- 64bit- 128bitCAS-
		DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-, LTR-, OBFF Disabled ARIFwd-
			 AtomicOpsCtl: ReqEn- EgressBlck-
		LnkCtl2: Target Link Speed: 8GT/s, EnterCompliance- SpeedDis-
			 Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
			 Compliance De-emphasis: -6dB
		LnkSta2: Current De-emphasis Level: -3.5dB, EqualizationComplete-, EqualizationPhase1-
			 EqualizationPhase2-, EqualizationPhase3-, LinkEqualizationRequest-
	Capabilities: [80] MSI: Enable- Count=1/1 Maskable- 64bit-
		Address: 00000000  Data: 0000
	Capabilities: [90] Subsystem: 17aa:2245
	Capabilities: [a0] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [100 v1] Advanced Error Reporting
		UESta:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UEMsk:	DLP- SDES- TLP- FCP- CmpltTO+ CmpltAbrt- UnxCmplt+ RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UESvrt:	DLP+ SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
		CESta:	RxErr+ BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
		CEMsk:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
		AERCap:	First Error Pointer: 00, ECRCGenCap- ECRCGenEn- ECRCChkCap- ECRCChkEn-
			MultHdrRecCap- MultHdrRecEn- TLPPfxPres- HdrLogCap-
		HeaderLog: 00000000 00000000 00000000 00000000
		RootCmd: CERptEn- NFERptEn- FERptEn-
		RootSta: CERcvd- MultCERcvd- UERcvd- MultUERcvd-
			 FirstFatal- NonFatalMsg- FatalMsg- IntMsg 0
		ErrorSrc: ERR_COR: 0000 ERR_FATAL/NONFATAL: 0000
	Capabilities: [140 v1] Access Control Services
		ACSCap:	SrcValid+ TransBlk+ ReqRedir+ CmpltRedir+ UpstreamFwd- EgressCtrl- DirectTrans-
		ACSCtl:	SrcValid- TransBlk- ReqRedir- CmpltRedir- UpstreamFwd- EgressCtrl- DirectTrans-
	Capabilities: [220 v1] #19
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:1d.2 0604: 8086:9d1a (rev f1) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Bus: primary=00, secondary=3e, subordinate=3e, sec-latency=0
	I/O behind bridge: 0000f000-00000fff [empty]
	Memory behind bridge: ec000000-ec0fffff [size=1M]
	Prefetchable memory behind bridge: 00000000fff00000-00000000000fffff [empty]
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [40] Express (v2) Root Port (Slot+), MSI 00
		DevCap:	MaxPayload 256 bytes, PhantFunc 0
			ExtTag- RBE+
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #11, Speed 8GT/s, Width x2, ASPM L1, Exit Latency L1 <16us
			ClockPM- Surprise- LLActRep+ BwNot+ ASPMOptComp+
		LnkCtl:	ASPM L1 Enabled; RCB 64 bytes Disabled- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 8GT/s, Width x2, TrErr- Train- SlotClk+ DLActive+ BWMgmt+ ABWMgmt-
		SltCap:	AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug- Surprise-
			Slot #10, PowerLimit 25.000W; Interlock- NoCompl+
		SltCtl:	Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
			Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
		SltSta:	Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet+ Interlock-
			Changed: MRL- PresDet- LinkState+
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
		DevCap2: Completion Timeout: Range ABC, TimeoutDis+, LTR+, OBFF Not Supported ARIFwd+
			 AtomicOpsCap: Routing- 32bit- 64bit- 128bitCAS-
		DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-, LTR+, OBFF Disabled ARIFwd-
			 AtomicOpsCtl: ReqEn- EgressBlck-
		LnkCtl2: Target Link Speed: 8GT/s, EnterCompliance- SpeedDis-
			 Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
			 Compliance De-emphasis: -6dB
		LnkSta2: Current De-emphasis Level: -3.5dB, EqualizationComplete+, EqualizationPhase1+
			 EqualizationPhase2+, EqualizationPhase3+, LinkEqualizationRequest-
	Capabilities: [80] MSI: Enable- Count=1/1 Maskable- 64bit-
		Address: 00000000  Data: 0000
	Capabilities: [90] Subsystem: 17aa:2245
	Capabilities: [a0] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [100 v1] Advanced Error Reporting
		UESta:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UEMsk:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt+ RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UESvrt:	DLP+ SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
		CESta:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		CEMsk:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
		AERCap:	First Error Pointer: 00, ECRCGenCap- ECRCGenEn- ECRCChkCap- ECRCChkEn-
			MultHdrRecCap- MultHdrRecEn- TLPPfxPres- HdrLogCap-
		HeaderLog: 00000000 00000000 00000000 00000000
		RootCmd: CERptEn- NFERptEn- FERptEn-
		RootSta: CERcvd- MultCERcvd- UERcvd- MultUERcvd-
			 FirstFatal- NonFatalMsg- FatalMsg- IntMsg 0
		ErrorSrc: ERR_COR: 0000 ERR_FATAL/NONFATAL: 0000
	Capabilities: [140 v1] Access Control Services
		ACSCap:	SrcValid+ TransBlk+ ReqRedir+ CmpltRedir+ UpstreamFwd- EgressCtrl- DirectTrans-
		ACSCtl:	SrcValid- TransBlk- ReqRedir- CmpltRedir- UpstreamFwd- EgressCtrl- DirectTrans-
	Capabilities: [220 v1] #19
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:1f.0 0601: 8086:9d48 (rev 21)
	Subsystem: 17aa:2245
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:1f.2 0580: 8086:9d21 (rev 21)
	Subsystem: 17aa:2245
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Region 0: Memory at ec244000 (32-bit, non-prefetchable) [disabled] [size=16K]

00:1f.3 0403: 8086:9d70 (rev 21)
	Subsystem: 17aa:2245
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Interrupt: pin A routed to IRQ 131
	Region 0: Memory at ec240000 (64-bit, non-prefetchable) [size=16K]
	Region 4: Memory at ec230000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: [50] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=55mA PME(D0-,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [60] MSI: Enable+ Count=1/1 Maskable- 64bit+
		Address: 00000000fee00358  Data: 0000
	Kernel driver in use: snd_hda_intel
	Kernel modules: snd_hda_intel, snd_soc_skl

00:1f.4 0c05: 8086:9d23 (rev 21)
	Subsystem: 17aa:2245
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at ec24a000 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at efa0 [size=32]
	Kernel driver in use: i801_smbus
	Kernel modules: i2c_i801

00:1f.6 0200: 8086:156f (rev 21)
	Subsystem: 17aa:2245
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 123
	Region 0: Memory at ec200000 (32-bit, non-prefetchable) [size=128K]
	Capabilities: [c8] Power Management version 3
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=1 PME-
	Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
		Address: 00000000fee00278  Data: 0000
	Capabilities: [e0] PCI Advanced Features
		AFCap: TP+ FLR+
		AFCtrl: FLR-
		AFStatus: TP-
	Kernel driver in use: e1000e
	Kernel modules: e1000e

04:00.0 0280: 8086:24f3 (rev 3a)
	Subsystem: 8086:0010
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 130
	Region 0: Memory at ec100000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: [c8] Power Management version 3
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
		Address: 00000000fee00338  Data: 0000
	Capabilities: [40] Express (v2) Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <512ns, L1 unlimited
			ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset+ SlotPowerLimit 0.000W
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd+ ExtTag- PhantFunc- AuxPwr+ NoSnoop+ FLReset-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr+ UncorrErr- FatalErr- UnsuppReq+ AuxPwr+ TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x1, ASPM L1, Exit Latency L1 <8us
			ClockPM+ Surprise- LLActRep- BwNot- ASPMOptComp+
		LnkCtl:	ASPM L1 Enabled; RCB 64 bytes Disabled- CommClk+
			ExtSynch- ClockPM+ AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
		DevCap2: Completion Timeout: Range B, TimeoutDis+, LTR+, OBFF Via WAKE#
			 AtomicOpsCap: 32bit- 64bit- 128bitCAS-
		DevCtl2: Completion Timeout: 16ms to 55ms, TimeoutDis-, LTR+, OBFF Disabled
			 AtomicOpsCtl: ReqEn-
		LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-
			 Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
			 Compliance De-emphasis: -6dB
		LnkSta2: Current De-emphasis Level: -3.5dB, EqualizationComplete-, EqualizationPhase1-
			 EqualizationPhase2-, EqualizationPhase3-, LinkEqualizationRequest-
	Capabilities: [100 v1] Advanced Error Reporting
		UESta:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UEMsk:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UESvrt:	DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
		CESta:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		CEMsk:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
		AERCap:	First Error Pointer: 00, ECRCGenCap- ECRCGenEn- ECRCChkCap- ECRCChkEn-
			MultHdrRecCap- MultHdrRecEn- TLPPfxPres- HdrLogCap-
		HeaderLog: 00000000 00000000 00000000 00000000
	Capabilities: [140 v1] Device Serial Number 90-61-ae-ff-ff-6b-e2-48
	Capabilities: [14c v1] Latency Tolerance Reporting
		Max snoop latency: 3145728ns
		Max no snoop latency: 3145728ns
	Capabilities: [154 v1] L1 PM Substates
		L1SubCap: PCI-PM_L1.2+ PCI-PM_L1.1+ ASPM_L1.2+ ASPM_L1.1+ L1_PM_Substates+
			  PortCommonModeRestoreTime=30us PortTPowerOnTime=18us
		L1SubCtl1: PCI-PM_L1.2+ PCI-PM_L1.1+ ASPM_L1.2+ ASPM_L1.1+
			   T_CommonMode=0us LTR1.2_Threshold=163840ns
		L1SubCtl2: T_PwrOn=44us
	Kernel driver in use: iwlwifi
	Kernel modules: iwlwifi

3e:00.0 0108: 8086:f1a5 (rev 03) (prog-if 02 [NVM Express])
	Subsystem: 8086:390a
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 18
	NUMA node: 0
	Region 0: Memory at ec000000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [40] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [70] Express (v2) Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s unlimited, L1 unlimited
			ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset+ SlotPowerLimit 25.000W
		DevCtl:	Report errors: Correctable+ Non-Fatal+ Fatal+ Unsupported+
			RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop- FLReset-
			MaxPayload 128 bytes, MaxReadReq 512 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #0, Speed 8GT/s, Width x4, ASPM L1, Exit Latency L1 <8us
			ClockPM+ Surprise- LLActRep- BwNot- ASPMOptComp+
		LnkCtl:	ASPM L1 Enabled; RCB 64 bytes Disabled- CommClk+
			ExtSynch- ClockPM+ AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 8GT/s, Width x2, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
		DevCap2: Completion Timeout: Range ABCD, TimeoutDis+, LTR+, OBFF Via message
			 AtomicOpsCap: 32bit- 64bit- 128bitCAS-
		DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-, LTR+, OBFF Disabled
			 AtomicOpsCtl: ReqEn-
		LnkCtl2: Target Link Speed: 8GT/s, EnterCompliance- SpeedDis-
			 Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
			 Compliance De-emphasis: -6dB
		LnkSta2: Current De-emphasis Level: -6dB, EqualizationComplete+, EqualizationPhase1+
			 EqualizationPhase2+, EqualizationPhase3+, LinkEqualizationRequest-
	Capabilities: [b0] MSI-X: Enable+ Count=16 Masked-
		Vector table: BAR=0 offset=00002000
		PBA: BAR=0 offset=00002100
	Capabilities: [100 v2] Advanced Error Reporting
		UESta:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UEMsk:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UESvrt:	DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
		CESta:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		CEMsk:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
		AERCap:	First Error Pointer: 00, ECRCGenCap+ ECRCGenEn- ECRCChkCap+ ECRCChkEn-
			MultHdrRecCap- MultHdrRecEn- TLPPfxPres- HdrLogCap-
		HeaderLog: 00000000 00000000 00000000 00000000
	Capabilities: [158 v1] #19
	Capabilities: [178 v1] Latency Tolerance Reporting
		Max snoop latency: 3145728ns
		Max no snoop latency: 3145728ns
	Capabilities: [180 v1] L1 PM Substates
		L1SubCap: PCI-PM_L1.2+ PCI-PM_L1.1+ ASPM_L1.2+ ASPM_L1.1+ L1_PM_Substates+
			  PortCommonModeRestoreTime=10us PortTPowerOnTime=10us
		L1SubCtl1: PCI-PM_L1.2- PCI-PM_L1.1- ASPM_L1.2- ASPM_L1.1-
			   T_CommonMode=0us LTR1.2_Threshold=0ns
		L1SubCtl2: T_PwrOn=44us
	Kernel driver in use: nvme
	Kernel modules: nvme
Comment 20 Andre Ruiz 2018-05-08 19:05:32 EDT
---> Still at 1000Mbit/s, fresh booted. Using only wired for some time.

[root@thinkpad ~]# ethtool -S enp0s31f6
NIC statistics:
     rx_packets: 13008
     tx_packets: 8519
     rx_bytes: 9358433
     tx_bytes: 1531331
     rx_broadcast: 850
     tx_broadcast: 4
     rx_multicast: 1526
     tx_multicast: 100
     rx_errors: 0
     tx_errors: 0
     tx_dropped: 0
     multicast: 1526
     collisions: 0
     rx_length_errors: 0
     rx_over_errors: 0
     rx_crc_errors: 0
     rx_frame_errors: 0
     rx_no_buffer_count: 0
     rx_missed_errors: 0
     tx_aborted_errors: 0
     tx_carrier_errors: 0
     tx_fifo_errors: 0
     tx_heartbeat_errors: 0
     tx_window_errors: 0
     tx_abort_late_coll: 0
     tx_deferred_ok: 0
     tx_single_coll_ok: 0
     tx_multi_coll_ok: 0
     tx_timeout_count: 0
     tx_restart_queue: 0
     rx_long_length_errors: 0
     rx_short_length_errors: 0
     rx_align_errors: 0
     tx_tcp_seg_good: 48
     tx_tcp_seg_failed: 0
     rx_flow_control_xon: 1
     rx_flow_control_xoff: 3
     tx_flow_control_xon: 0
     tx_flow_control_xoff: 0
     rx_csum_offload_good: 12270
     rx_csum_offload_errors: 0
     rx_header_split: 0
     alloc_rx_buff_failed: 0
     tx_smbus: 1
     rx_smbus: 32
     dropped_smbus: 0
     rx_dma_failed: 0
     tx_dma_failed: 0
     rx_hwtstamp_cleared: 0
     uncorr_ecc_errors: 0
     corr_ecc_errors: 0
     tx_hwtstamp_timeouts: 0
     tx_hwtstamp_skipped: 0
Comment 21 Andre Ruiz 2018-05-08 19:10:24 EDT
Closed the lid, notebook entered sleeping state, opened the lid. Removed cable, re-plugged cable. It was still showing 1000Mbit/s just after waking, but as soon as replugging it went down to 10Mbit/s.


[root@thinkpad ~]# ethtool enp0s31f6
Settings for enp0s31f6:
	Supported ports: [ TP ]
	Supported link modes:   10baseT/Half 10baseT/Full 
	                        100baseT/Half 100baseT/Full 
	                        1000baseT/Full 
	Supported pause frame use: No
	Supports auto-negotiation: Yes
	Supported FEC modes: Not reported
	Advertised link modes:  10baseT/Half 10baseT/Full 
	                        100baseT/Half 100baseT/Full 
	                        1000baseT/Full 
	Advertised pause frame use: No
	Advertised auto-negotiation: Yes
	Advertised FEC modes: Not reported
	Speed: 1000Mb/s
	Duplex: Full
	Port: Twisted Pair
	PHYAD: 1
	Transceiver: internal
	Auto-negotiation: on
	MDI-X: on (auto)
	Supports Wake-on: pumbg
	Wake-on: g
	Current message level: 0x00000007 (7)
			       drv probe link
	Link detected: yes
[root@thinkpad ~]# ethtool enp0s31f6
Settings for enp0s31f6:
	Supported ports: [ TP ]
	Supported link modes:   10baseT/Half 10baseT/Full 
	                        100baseT/Half 100baseT/Full 
	                        1000baseT/Full 
	Supported pause frame use: No
	Supports auto-negotiation: Yes
	Supported FEC modes: Not reported
	Advertised link modes:  10baseT/Half 10baseT/Full 
	                        100baseT/Half 100baseT/Full 
	                        1000baseT/Full 
	Advertised pause frame use: No
	Advertised auto-negotiation: Yes
	Advertised FEC modes: Not reported
	Speed: Unknown!
	Duplex: Unknown! (255)
	Port: Twisted Pair
	PHYAD: 1
	Transceiver: internal
	Auto-negotiation: on
	MDI-X: Unknown (auto)
	Supports Wake-on: pumbg
	Wake-on: g
	Current message level: 0x00000007 (7)
			       drv probe link
	Link detected: no
[root@thinkpad ~]# ethtool enp0s31f6
Settings for enp0s31f6:
	Supported ports: [ TP ]
	Supported link modes:   10baseT/Half 10baseT/Full 
	                        100baseT/Half 100baseT/Full 
	                        1000baseT/Full 
	Supported pause frame use: No
	Supports auto-negotiation: Yes
	Supported FEC modes: Not reported
	Advertised link modes:  10baseT/Half 10baseT/Full 
	                        100baseT/Half 100baseT/Full 
	                        1000baseT/Full 
	Advertised pause frame use: No
	Advertised auto-negotiation: Yes
	Advertised FEC modes: Not reported
	Speed: 10Mb/s
	Duplex: Full
	Port: Twisted Pair
	PHYAD: 2
	Transceiver: internal
	Auto-negotiation: on
	MDI-X: on (auto)
	Supports Wake-on: pumbg
	Wake-on: g
	Current message level: 0x00000007 (7)
			       drv probe link
	Link detected: yes
Comment 22 Andre Ruiz 2018-05-10 14:39:17 EDT
Fedora 28 released a new kernel today. Tested it and still the same behaviour (can get 1000Mbit/s after warm boot and cannot after first sleep).

[andre@thinkpad ~]$ uname -a
Linux thinkpad.tokenlabs 4.16.7-300.fc28.x86_64 #1 SMP Wed May 2 20:09:13 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
Comment 23 Michael Yartys 2018-05-13 11:56:22 EDT
I also experience this bug on Fedora 28 with Intel 82579LM.

Machine: Dell Latitude E6420

[telia@lulz ~]$ lspci | grep Ethernet
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (Lewisville) (rev 04)

[telia@lulz ~]$ uname -a
Linux lulz 4.16.7-300.fc28.x86_64 #1 SMP Wed May 2 20:09:13 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Like Andre Ruiz I also get 10Mbit/s without any communication after plugging in an ethernet cable. A short while after plugging in the cable a gnome notification pops up saying: "Activation of network connection failed"
Comment 24 Michael Yartys 2018-05-15 06:33:00 EDT
I updated to a new kernel and now the ethernet port appears to be completely dead. There is no connectivity and no messages from gnome of a connection failure as seen prior to the update.

[telia@lulz ~]$ uname -a
Linux lulz 4.16.8-300.fc28.x86_64 #1 SMP Wed May 9 20:23:40 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

------>Here is the dmesg output:

[telia@lulz ~]$ dmesg | grep -e1000e 
[    2.989097] e1000e: Intel(R) PRO/1000 Network Driver - 3.2.6-k
[    2.989098] e1000e: Copyright(c) 1999 - 2015 Intel Corporation.
[    2.995723] e1000e 0000:00:19.0: Interrupt Throttling Rate (ints/sec) set to dynamic conservative mode
[    3.133971] e1000e 0000:00:19.0 0000:00:19.0 (uninitialized): registered PHC clock
[    3.254217] e1000e 0000:00:19.0 eth0: (PCI Express:2.5GT/s:Width x1) 5c:26:0a:4b:03:24
[    3.254219] e1000e 0000:00:19.0 eth0: Intel(R) PRO/1000 Network Connection
[    3.254257] e1000e 0000:00:19.0 eth0: MAC: 10, PHY: 11, PBA No: 3041FF-0FF
[    3.256942] e1000e 0000:00:19.0 eno1: renamed from eth0
[  148.482835] e1000e: eno1 NIC Link is Up 10 Mbps Full Duplex, Flow Control: Rx/Tx
[  148.482846] e1000e 0000:00:19.0 eno1: 10/100 speed: disabling TSO
[  148.608569] e1000e: eno1 NIC Link is Down
[  489.548844] e1000e: eno1 NIC Link is Up 10 Mbps Full Duplex, Flow Control: Rx/Tx
[  489.548855] e1000e 0000:00:19.0 eno1: 10/100 speed: disabling TSO
[  489.642087] e1000e: eno1 NIC Link is Down
[  632.908543] e1000e: eno1 NIC Link is Up 10 Mbps Full Duplex, Flow Control: Rx/Tx
[  632.908554] e1000e 0000:00:19.0 eno1: 10/100 speed: disabling TSO
[  633.001974] e1000e: eno1 NIC Link is Down
[  719.311460] e1000e: eno1 NIC Link is Up 10 Mbps Full Duplex, Flow Control: Rx/Tx
[  719.311472] e1000e 0000:00:19.0 eno1: 10/100 speed: disabling TSO
[  719.404793] e1000e: eno1 NIC Link is Down
[  831.602747] e1000e: eno1 NIC Link is Up 10 Mbps Full Duplex, Flow Control: Rx/Tx
[  831.602758] e1000e 0000:00:19.0 eno1: 10/100 speed: disabling TSO
[  831.697092] e1000e: eno1 NIC Link is Down


------> With a cable plugged in:

[telia@lulz ~]$ ethtool eno1
Settings for eno1:
	Supported ports: [ TP ]
	Supported link modes:   10baseT/Half 10baseT/Full 
	                        100baseT/Half 100baseT/Full 
	                        1000baseT/Full 
	Supported pause frame use: No
	Supports auto-negotiation: Yes
	Supported FEC modes: Not reported
	Advertised link modes:  10baseT/Half 10baseT/Full 
	                        100baseT/Half 100baseT/Full 
	                        1000baseT/Full 
	Advertised pause frame use: No
	Advertised auto-negotiation: Yes
	Advertised FEC modes: Not reported
	Speed: Unknown!
	Duplex: Unknown! (255)
	Port: Twisted Pair
	PHYAD: 2
	Transceiver: internal
	Auto-negotiation: on
	MDI-X: Unknown (auto)
Cannot get wake-on-lan settings: Operation not permitted
	Current message level: 0x00000007 (7)
			       drv probe link
	Link detected: no


------> Ethtool info:

[telia@lulz ~]$ ethtool -i eno1
driver: e1000e
version: 3.2.6-k
firmware-version: 0.13-3
expansion-rom-version: 
bus-info: 0000:00:19.0
supports-statistics: yes
supports-test: yes
supports-eeprom-access: yes
supports-register-dump: yes
supports-priv-flags: no


------> More info:

[telia@lulz ~]$ ethtool -a eno1
Pause parameters for eno1:
Autonegotiate:	on
RX:		on
TX:		on
Comment 25 Michael Yartys 2018-05-15 06:38:36 EDT
Sorry, I mistakenly ticked the box to remove the needinfo flag. I have undone the change.

Here is the output from 'lspci -vvvn -k' :

[telia@lulz ~]$ sudo lspci -vvvn -k
[sudo] password for telia: 
00:00.0 0600: 8086:0104 (rev 09)
	Subsystem: 1028:0493
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: [e0] Vendor Specific Information: Len=0c <?>

00:02.0 0300: 8086:0116 (rev 09) (prog-if 00 [VGA controller])
	Subsystem: 1028:0493
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 26
	Region 0: Memory at e0c00000 (64-bit, non-prefetchable) [size=4M]
	Region 2: Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at 3000 [size=64]
	[virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
	Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
		Address: fee02000  Data: 4022
	Capabilities: [d0] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [a4] PCI Advanced Features
		AFCap: TP+ FLR+
		AFCtrl: FLR-
		AFStatus: TP-
	Kernel driver in use: i915
	Kernel modules: i915

00:16.0 0780: 8086:1c3a (rev 04)
	Subsystem: 1028:0493
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 27
	Region 0: Memory at e1cb0000 (64-bit, non-prefetchable) [size=16]
	Capabilities: [50] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [8c] MSI: Enable+ Count=1/1 Maskable- 64bit+
		Address: 00000000fee01000  Data: 4022
	Kernel driver in use: mei_me
	Kernel modules: mei_me

00:19.0 0200: 8086:1502 (rev 04)
	Subsystem: 1028:0493
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 25
	Region 0: Memory at e1c00000 (32-bit, non-prefetchable) [size=128K]
	Region 1: Memory at e1c80000 (32-bit, non-prefetchable) [size=4K]
	Region 2: I/O ports at 3080 [size=32]
	Capabilities: [c8] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=1 PME-
	Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
		Address: 00000000fee00000  Data: 4021
	Capabilities: [e0] PCI Advanced Features
		AFCap: TP+ FLR+
		AFCtrl: FLR-
		AFStatus: TP-
	Kernel driver in use: e1000e
	Kernel modules: e1000e

00:1a.0 0c03: 8086:1c2d (rev 04) (prog-if 20 [EHCI])
	Subsystem: 1028:0493
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at e1c70000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Capabilities: [98] PCI Advanced Features
		AFCap: TP+ FLR+
		AFCtrl: FLR-
		AFStatus: TP-
	Kernel driver in use: ehci-pci

00:1b.0 0403: 8086:1c20 (rev 04)
	Subsystem: 1028:0493
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 28
	Region 0: Memory at e1c60000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=55mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [60] MSI: Enable+ Count=1/1 Maskable- 64bit+
		Address: 00000000fee03000  Data: 4022
	Capabilities: [70] Express (v1) Root Complex Integrated Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0
			ExtTag- RBE-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
	Capabilities: [100 v1] Virtual Channel
		Caps:	LPEVC=0 RefClk=100ns PATEntryBits=1
		Arb:	Fixed- WRR32- WRR64- WRR128-
		Ctrl:	ArbSelect=Fixed
		Status:	InProgress-
		VC0:	Caps:	PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
			Arb:	Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
			Ctrl:	Enable+ ID=0 ArbSelect=Fixed TC/VC=01
			Status:	NegoPending- InProgress-
		VC1:	Caps:	PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
			Arb:	Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
			Ctrl:	Enable+ ID=1 ArbSelect=Fixed TC/VC=22
			Status:	NegoPending- InProgress-
	Capabilities: [130 v1] Root Complex Link
		Desc:	PortNumber=0f ComponentID=00 EltType=Config
		Link0:	Desc:	TargetPort=00 TargetComponent=00 AssocRCRB- LinkType=MemMapped LinkValid+
			Addr:	00000000fed1c000
	Kernel driver in use: snd_hda_intel
	Kernel modules: snd_hda_intel

00:1c.0 0604: 8086:1c10 (rev b4) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 0000f000-00000fff [empty]
	Memory behind bridge: fff00000-000fffff [empty]
	Prefetchable memory behind bridge: 00000000fff00000-00000000000fffff [empty]
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [40] Express (v2) Root Port (Slot+), MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0
			ExtTag- RBE+
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #1, Speed 5GT/s, Width x1, ASPM L0s L1, Exit Latency L0s <1us, L1 <16us
			ClockPM- Surprise- LLActRep+ BwNot- ASPMOptComp-
		LnkCtl:	ASPM L0s L1 Enabled; RCB 64 bytes Disabled- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x0, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
		SltCap:	AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug- Surprise-
			Slot #0, PowerLimit 10.000W; Interlock- NoCompl+
		SltCtl:	Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
			Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
		SltSta:	Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet- Interlock-
			Changed: MRL- PresDet- LinkState-
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
		DevCap2: Completion Timeout: Range BC, TimeoutDis+, LTR-, OBFF Not Supported ARIFwd-
			 AtomicOpsCap: Routing- 32bit- 64bit- 128bitCAS-
		DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-, LTR-, OBFF Disabled ARIFwd-
			 AtomicOpsCtl: ReqEn- EgressBlck-
		LnkCtl2: Target Link Speed: 5GT/s, EnterCompliance- SpeedDis-
			 Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
			 Compliance De-emphasis: -6dB
		LnkSta2: Current De-emphasis Level: -3.5dB, EqualizationComplete-, EqualizationPhase1-
			 EqualizationPhase2-, EqualizationPhase3-, LinkEqualizationRequest-
	Capabilities: [80] MSI: Enable- Count=1/1 Maskable- 64bit-
		Address: 00000000  Data: 0000
	Capabilities: [90] Subsystem: 1028:0493
	Capabilities: [a0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D3 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:1c.1 0604: 8086:1c12 (rev b4) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 17
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 0000f000-00000fff [empty]
	Memory behind bridge: e1b00000-e1bfffff [size=1M]
	Prefetchable memory behind bridge: 00000000fff00000-00000000000fffff [empty]
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [40] Express (v2) Root Port (Slot+), MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0
			ExtTag- RBE+
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #2, Speed 5GT/s, Width x1, ASPM L0s L1, Exit Latency L0s <512ns, L1 <16us
			ClockPM- Surprise- LLActRep+ BwNot- ASPMOptComp-
		LnkCtl:	ASPM L1 Enabled; RCB 64 bytes Disabled- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive+ BWMgmt+ ABWMgmt-
		SltCap:	AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug- Surprise-
			Slot #1, PowerLimit 10.000W; Interlock- NoCompl+
		SltCtl:	Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
			Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
		SltSta:	Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet+ Interlock-
			Changed: MRL- PresDet- LinkState+
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
		DevCap2: Completion Timeout: Range BC, TimeoutDis+, LTR-, OBFF Not Supported ARIFwd-
			 AtomicOpsCap: Routing- 32bit- 64bit- 128bitCAS-
		DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-, LTR-, OBFF Disabled ARIFwd-
			 AtomicOpsCtl: ReqEn- EgressBlck-
		LnkCtl2: Target Link Speed: 5GT/s, EnterCompliance- SpeedDis-
			 Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
			 Compliance De-emphasis: -6dB
		LnkSta2: Current De-emphasis Level: -3.5dB, EqualizationComplete-, EqualizationPhase1-
			 EqualizationPhase2-, EqualizationPhase3-, LinkEqualizationRequest-
	Capabilities: [80] MSI: Enable- Count=1/1 Maskable- 64bit-
		Address: 00000000  Data: 0000
	Capabilities: [90] Subsystem: 1028:0493
	Capabilities: [a0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:1c.3 0604: 8086:1c16 (rev b4) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin D routed to IRQ 19
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 00002000-00002fff [size=4K]
	Memory behind bridge: e1000000-e19fffff [size=10M]
	Prefetchable memory behind bridge: 00000000e0000000-00000000e09fffff [size=10M]
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [40] Express (v2) Root Port (Slot+), MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0
			ExtTag- RBE+
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #4, Speed 5GT/s, Width x1, ASPM L0s L1, Exit Latency L0s <1us, L1 <16us
			ClockPM- Surprise- LLActRep+ BwNot- ASPMOptComp-
		LnkCtl:	ASPM L0s L1 Enabled; RCB 64 bytes Disabled- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x0, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
		SltCap:	AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug+ Surprise+
			Slot #3, PowerLimit 10.000W; Interlock- NoCompl+
		SltCtl:	Enable: AttnBtn- PwrFlt- MRL- PresDet+ CmdCplt- HPIrq- LinkChg-
			Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
		SltSta:	Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet- Interlock-
			Changed: MRL- PresDet- LinkState-
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
		DevCap2: Completion Timeout: Range BC, TimeoutDis+, LTR-, OBFF Not Supported ARIFwd-
			 AtomicOpsCap: Routing- 32bit- 64bit- 128bitCAS-
		DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-, LTR-, OBFF Disabled ARIFwd-
			 AtomicOpsCtl: ReqEn- EgressBlck-
		LnkCtl2: Target Link Speed: 5GT/s, EnterCompliance- SpeedDis-
			 Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
			 Compliance De-emphasis: -6dB
		LnkSta2: Current De-emphasis Level: -3.5dB, EqualizationComplete-, EqualizationPhase1-
			 EqualizationPhase2-, EqualizationPhase3-, LinkEqualizationRequest-
	Capabilities: [80] MSI: Enable- Count=1/1 Maskable- 64bit-
		Address: 00000000  Data: 0000
	Capabilities: [90] Subsystem: 1028:0493
	Capabilities: [a0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:1c.5 0604: 8086:1c1a (rev b4) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 17
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	I/O behind bridge: 0000f000-00000fff [empty]
	Memory behind bridge: e1a00000-e1afffff [size=1M]
	Prefetchable memory behind bridge: 00000000fff00000-00000000000fffff [empty]
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [40] Express (v2) Root Port (Slot+), MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0
			ExtTag- RBE+
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #6, Speed 5GT/s, Width x1, ASPM L0s L1, Exit Latency L0s <1us, L1 <16us
			ClockPM- Surprise- LLActRep+ BwNot- ASPMOptComp-
		LnkCtl:	ASPM L0s Enabled; RCB 64 bytes Disabled- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive+ BWMgmt+ ABWMgmt-
		SltCap:	AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug- Surprise-
			Slot #5, PowerLimit 10.000W; Interlock- NoCompl+
		SltCtl:	Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
			Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
		SltSta:	Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet+ Interlock-
			Changed: MRL- PresDet- LinkState+
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
		DevCap2: Completion Timeout: Range BC, TimeoutDis+, LTR-, OBFF Not Supported ARIFwd-
			 AtomicOpsCap: Routing- 32bit- 64bit- 128bitCAS-
		DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-, LTR-, OBFF Disabled ARIFwd-
			 AtomicOpsCtl: ReqEn- EgressBlck-
		LnkCtl2: Target Link Speed: 5GT/s, EnterCompliance- SpeedDis-
			 Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
			 Compliance De-emphasis: -6dB
		LnkSta2: Current De-emphasis Level: -3.5dB, EqualizationComplete-, EqualizationPhase1-
			 EqualizationPhase2-, EqualizationPhase3-, LinkEqualizationRequest-
	Capabilities: [80] MSI: Enable- Count=1/1 Maskable- 64bit-
		Address: 00000000  Data: 0000
	Capabilities: [90] Subsystem: 1028:0493
	Capabilities: [a0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:1d.0 0c03: 8086:1c26 (rev 04) (prog-if 20 [EHCI])
	Subsystem: 1028:0493
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at e1c50000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Capabilities: [98] PCI Advanced Features
		AFCap: TP+ FLR+
		AFCtrl: FLR-
		AFStatus: TP-
	Kernel driver in use: ehci-pci

00:1f.0 0601: 8086:1c4f (rev 04)
	Subsystem: 1028:0493
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: [e0] Vendor Specific Information: Len=0c <?>
	Kernel driver in use: lpc_ich
	Kernel modules: lpc_ich

00:1f.2 0104: 8086:282a (rev 04)
	Subsystem: 1028:0493
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 24
	Region 0: I/O ports at 30d0 [size=8]
	Region 1: I/O ports at 30c0 [size=4]
	Region 2: I/O ports at 30b0 [size=8]
	Region 3: I/O ports at 30a0 [size=4]
	Region 4: I/O ports at 3060 [size=32]
	Region 5: Memory at e1c40000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
		Address: fee04000  Data: 4021
	Capabilities: [70] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot+,D3cold-)
		Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [a8] SATA HBA v1.0 BAR4 Offset=00000004
	Capabilities: [b0] PCI Advanced Features
		AFCap: TP+ FLR+
		AFCtrl: FLR-
		AFStatus: TP-
	Kernel driver in use: ahci

00:1f.3 0c05: 8086:1c22 (rev 04)
	Subsystem: 1028:0493
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at e1c30000 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at 3040 [size=32]
	Kernel driver in use: i801_smbus
	Kernel modules: i2c_i801

02:00.0 0280: 8086:08b1 (rev bb)
	Subsystem: 8086:4070
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 29
	Region 0: Memory at e1b00000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: [c8] Power Management version 3
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
		Address: 00000000fee05000  Data: 4022
	Capabilities: [40] Express (v2) Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <512ns, L1 unlimited
			ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset+ SlotPowerLimit 0.000W
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd+ ExtTag- PhantFunc- AuxPwr+ NoSnoop+ FLReset-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr+ UncorrErr- FatalErr- UnsuppReq+ AuxPwr+ TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x1, ASPM L0s L1, Exit Latency L0s <4us, L1 <32us
			ClockPM+ Surprise- LLActRep- BwNot- ASPMOptComp-
		LnkCtl:	ASPM L1 Enabled; RCB 64 bytes Disabled- CommClk+
			ExtSynch- ClockPM+ AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
		DevCap2: Completion Timeout: Range B, TimeoutDis+, LTR+, OBFF Via WAKE#
			 AtomicOpsCap: 32bit- 64bit- 128bitCAS-
		DevCtl2: Completion Timeout: 16ms to 55ms, TimeoutDis-, LTR-, OBFF Disabled
			 AtomicOpsCtl: ReqEn-
		LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-
			 Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
			 Compliance De-emphasis: -6dB
		LnkSta2: Current De-emphasis Level: -3.5dB, EqualizationComplete-, EqualizationPhase1-
			 EqualizationPhase2-, EqualizationPhase3-, LinkEqualizationRequest-
	Capabilities: [100 v1] Advanced Error Reporting
		UESta:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UEMsk:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UESvrt:	DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
		CESta:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		CEMsk:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
		AERCap:	First Error Pointer: 00, ECRCGenCap- ECRCGenEn- ECRCChkCap- ECRCChkEn-
			MultHdrRecCap- MultHdrRecEn- TLPPfxPres- HdrLogCap-
		HeaderLog: 00000000 00000000 00000000 00000000
	Capabilities: [140 v1] Device Serial Number f0-42-1c-ff-ff-c7-0b-6e
	Capabilities: [14c v1] Latency Tolerance Reporting
		Max snoop latency: 0ns
		Max no snoop latency: 0ns
	Capabilities: [154 v1] Vendor Specific Information: ID=cafe Rev=1 Len=014 <?>
	Kernel driver in use: iwlwifi
	Kernel modules: iwlwifi

04:00.0 0805: 1217:8221 (rev 05) (prog-if 01)
	Subsystem: 1028:0493
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at e1a20000 (32-bit, non-prefetchable) [size=512]
	Capabilities: [a0] Power Management version 3
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [48] MSI: Enable- Count=1/1 Maskable+ 64bit+
		Address: 0000000000000000  Data: 0000
		Masking: 00000000  Pending: 00000000
	Capabilities: [80] Express (v1) Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <4us, L1 <64us
			ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset- SlotPowerLimit 10.000W
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
			MaxPayload 128 bytes, MaxReadReq 512 bytes
		DevSta:	CorrErr+ UncorrErr- FatalErr- UnsuppReq+ AuxPwr- TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x1, ASPM L0s L1, Exit Latency L0s <512ns, L1 <64us
			ClockPM+ Surprise- LLActRep- BwNot- ASPMOptComp-
		LnkCtl:	ASPM L0s Enabled; RCB 64 bytes Disabled- CommClk-
			ExtSynch- ClockPM+ AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
	Capabilities: [100 v1] Virtual Channel
		Caps:	LPEVC=0 RefClk=100ns PATEntryBits=1
		Arb:	Fixed- WRR32- WRR64- WRR128-
		Ctrl:	ArbSelect=Fixed
		Status:	InProgress-
		VC0:	Caps:	PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
			Arb:	Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
			Ctrl:	Enable+ ID=0 ArbSelect=Fixed TC/VC=ff
			Status:	NegoPending- InProgress-
	Capabilities: [200 v1] Advanced Error Reporting
		UESta:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UEMsk:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UESvrt:	DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
		CESta:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
		CEMsk:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
		AERCap:	First Error Pointer: 00, ECRCGenCap- ECRCGenEn- ECRCChkCap- ECRCChkEn-
			MultHdrRecCap- MultHdrRecEn- TLPPfxPres- HdrLogCap-
		HeaderLog: 00000000 00000000 00000000 00000000
	Kernel driver in use: sdhci-pci
	Kernel modules: sdhci_pci

04:00.1 0180: 1217:8231 (rev 03)
	Subsystem: 1028:0493
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 10
	Region 0: Memory at e1a10000 (32-bit, non-prefetchable) [size=4K]
	Region 2: Memory at e1a00000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: [a0] Power Management version 3
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [48] MSI: Enable- Count=1/1 Maskable+ 64bit+
		Address: 0000000000000000  Data: 0000
		Masking: 00000000  Pending: 00000000
	Capabilities: [80] Express (v1) Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <4us, L1 <64us
			ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset- SlotPowerLimit 10.000W
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
			MaxPayload 128 bytes, MaxReadReq 512 bytes
		DevSta:	CorrErr+ UncorrErr- FatalErr- UnsuppReq+ AuxPwr- TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x1, ASPM L0s L1, Exit Latency L0s <512ns, L1 <64us
			ClockPM+ Surprise- LLActRep- BwNot- ASPMOptComp-
		LnkCtl:	ASPM L0s Enabled; RCB 64 bytes Disabled- CommClk-
			ExtSynch- ClockPM+ AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
	Capabilities: [100 v1] Virtual Channel
		Caps:	LPEVC=0 RefClk=100ns PATEntryBits=1
		Arb:	Fixed- WRR32- WRR64- WRR128-
		Ctrl:	ArbSelect=Fixed
		Status:	InProgress-
		VC0:	Caps:	PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
			Arb:	Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
			Ctrl:	Enable+ ID=0 ArbSelect=Fixed TC/VC=ff
			Status:	NegoPending- InProgress-
	Capabilities: [200 v1] Advanced Error Reporting
		UESta:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UEMsk:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UESvrt:	DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
		CESta:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
		CEMsk:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
		AERCap:	First Error Pointer: 00, ECRCGenCap- ECRCGenEn- ECRCChkCap- ECRCChkEn-
			MultHdrRecCap- MultHdrRecEn- TLPPfxPres- HdrLogCap-
		HeaderLog: 00000000 00000000 00000000 00000000
Comment 26 Andre Ruiz 2018-05-15 13:23:42 EDT
I'm a bit skeptical to call it yet (will do more testing) but it really seems that the change to the kernel 4.16.8-300.fc28.x86_64 changed the behaviour a bit.

- The link speed problem now is apparently fixed, after sleeping the link still negotiates do 1000Mbp/s

- Now traffic never passes, even soon after booting, nor after sleeping. I just can't use the ethernet port.

Tcpdump shows a LOT of traffic, mainly arp requests for ipv4 and the notebook insistently asking for DHCP and not getting a response.

Please advise for the best way to capture this events and posting here.
Comment 27 Andre Ruiz 2018-05-15 13:36:18 EDT
Yeah, spoke too soon. The 10Mbit/s problem still persists.
Comment 28 Michael Yartys 2018-05-16 05:21:54 EDT
Ok, I just retried and I also still experience the 10 Mbps issue. My router is running OpenWrt and the logs are showing a lot of DHCP-activity:

Wed May 16 11:13:36 2018 daemon.info dnsmasq-dhcp[2748]: DHCPDISCOVER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:13:36 2018 daemon.info dnsmasq-dhcp[2748]: DHCPOFFER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:13:36 2018 daemon.info dnsmasq-dhcp[2748]: DHCPDISCOVER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:13:36 2018 daemon.info dnsmasq-dhcp[2748]: DHCPOFFER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:13:39 2018 daemon.info dnsmasq-dhcp[2748]: DHCPDISCOVER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:13:39 2018 daemon.info dnsmasq-dhcp[2748]: DHCPOFFER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:13:43 2018 daemon.info dnsmasq-dhcp[2748]: DHCPDISCOVER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:13:43 2018 daemon.info dnsmasq-dhcp[2748]: DHCPOFFER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:13:51 2018 daemon.info dnsmasq-dhcp[2748]: DHCPDISCOVER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:13:51 2018 daemon.info dnsmasq-dhcp[2748]: DHCPOFFER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:14:07 2018 daemon.info dnsmasq-dhcp[2748]: DHCPDISCOVER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:14:07 2018 daemon.info dnsmasq-dhcp[2748]: DHCPOFFER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:14:18 2018 daemon.info dnsmasq-dhcp[2748]: DHCPDISCOVER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:14:18 2018 daemon.info dnsmasq-dhcp[2748]: DHCPOFFER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:14:24 2018 daemon.info dnsmasq-dhcp[2748]: DHCPDISCOVER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:14:24 2018 daemon.info dnsmasq-dhcp[2748]: DHCPOFFER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:15:14 2018 daemon.info dnsmasq-dhcp[2748]: DHCPDISCOVER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:15:14 2018 daemon.info dnsmasq-dhcp[2748]: DHCPOFFER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:15:16 2018 daemon.info dnsmasq-dhcp[2748]: DHCPDISCOVER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:15:16 2018 daemon.info dnsmasq-dhcp[2748]: DHCPOFFER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:15:23 2018 daemon.info dnsmasq-dhcp[2748]: DHCPDISCOVER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:15:23 2018 daemon.info dnsmasq-dhcp[2748]: DHCPOFFER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:15:32 2018 daemon.info dnsmasq-dhcp[2748]: DHCPDISCOVER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:15:32 2018 daemon.info dnsmasq-dhcp[2748]: DHCPOFFER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:15:47 2018 daemon.info dnsmasq-dhcp[2748]: DHCPDISCOVER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:15:47 2018 daemon.info dnsmasq-dhcp[2748]: DHCPOFFER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:15:56 2018 daemon.info dnsmasq-dhcp[2748]: DHCPDISCOVER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:15:56 2018 daemon.info dnsmasq-dhcp[2748]: DHCPOFFER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:16:02 2018 daemon.info dnsmasq-dhcp[2748]: DHCPDISCOVER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Wed May 16 11:16:02 2018 daemon.info dnsmasq-dhcp[2748]: DHCPOFFER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Comment 29 Andre Ruiz 2018-05-17 10:46:15 EDT
Could anyone at least acknowledge that this bug has been seen by the fedora team, even if with no timeframe for a fix? I just don't know if I'm doing something wrong on bugzilla and maybe talking to myself.
Comment 30 Michael Yartys 2018-05-22 06:57:48 EDT
I would also appreciate if someone acknowledged our reports.

----------

I've again updated to a new kernel:

[telia@lulz ~]$ uname -a
Linux lulz 4.16.9-300.fc28.x86_64 #1 SMP Thu May 17 06:39:18 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

----------

The behaviour remains the same, both when I set DHCP to automatic and manual: 

[telia@lulz ~]$ dmesg | grep -e1000e 
[    2.978644] e1000e: Intel(R) PRO/1000 Network Driver - 3.2.6-k
[    2.978645] e1000e: Copyright(c) 1999 - 2015 Intel Corporation.
[    2.978869] e1000e 0000:00:19.0: Interrupt Throttling Rate (ints/sec) set to dynamic conservative mode
[    3.118970] e1000e 0000:00:19.0 0000:00:19.0 (uninitialized): registered PHC clock
[    3.239672] e1000e 0000:00:19.0 eth0: (PCI Express:2.5GT/s:Width x1) 5c:26:0a:4b:03:24
[    3.239675] e1000e 0000:00:19.0 eth0: Intel(R) PRO/1000 Network Connection
[    3.239712] e1000e 0000:00:19.0 eth0: MAC: 10, PHY: 11, PBA No: 3041FF-0FF
[    3.241465] e1000e 0000:00:19.0 eno1: renamed from eth0
[   78.866205] e1000e: eno1 NIC Link is Up 10 Mbps Full Duplex, Flow Control: Rx/Tx
[   78.866217] e1000e 0000:00:19.0 eno1: 10/100 speed: disabling TSO
[  157.520862] e1000e: eno1 NIC Link is Down
[  200.881568] e1000e: eno1 NIC Link is Up 10 Mbps Full Duplex, Flow Control: Rx/Tx
[  200.881580] e1000e 0000:00:19.0 eno1: 10/100 speed: disabling TSO
[  246.829987] e1000e: eno1 NIC Link is Down


----------

Here's the log from the router when DHCP is set to auto:

Tue May 22 12:43:12 2018 daemon.info dnsmasq-dhcp[2652]: DHCPDISCOVER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Tue May 22 12:43:12 2018 daemon.info dnsmasq-dhcp[2652]: DHCPOFFER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Tue May 22 12:43:15 2018 daemon.info dnsmasq-dhcp[2652]: DHCPDISCOVER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Tue May 22 12:43:15 2018 daemon.info dnsmasq-dhcp[2652]: DHCPOFFER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Tue May 22 12:43:21 2018 daemon.info dnsmasq-dhcp[2652]: DHCPDISCOVER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Tue May 22 12:43:21 2018 daemon.info dnsmasq-dhcp[2652]: DHCPOFFER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Tue May 22 12:43:32 2018 daemon.info dnsmasq-dhcp[2652]: DHCPDISCOVER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Tue May 22 12:43:32 2018 daemon.info dnsmasq-dhcp[2652]: DHCPOFFER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Tue May 22 12:43:53 2018 daemon.info dnsmasq-dhcp[2652]: DHCPDISCOVER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Tue May 22 12:43:53 2018 daemon.info dnsmasq-dhcp[2652]: DHCPOFFER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Tue May 22 12:43:54 2018 daemon.info dnsmasq-dhcp[2652]: DHCPDISCOVER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Tue May 22 12:43:54 2018 daemon.info dnsmasq-dhcp[2652]: DHCPOFFER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Tue May 22 12:44:02 2018 daemon.info dnsmasq-dhcp[2652]: DHCPDISCOVER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Tue May 22 12:44:02 2018 daemon.info dnsmasq-dhcp[2652]: DHCPOFFER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Tue May 22 12:44:11 2018 daemon.info dnsmasq-dhcp[2652]: DHCPDISCOVER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Tue May 22 12:44:11 2018 daemon.info dnsmasq-dhcp[2652]: DHCPOFFER(br-lan) 192.168.1.112 5c:26:0a:4b:03:24
Comment 31 Joseph Callen 2018-05-25 13:25:58 EDT
I have a T460s w/BIOS:
Version: N1CET66W (1.34 )                              
Release Date: 03/22/2018 

Made numerous changes from multiple suggested posts which fixed the issue

- Updated BIOS to above (based on Intel's documentation it also is supposed to contain the nic firmware)

- NIC ethtool options:
ETHTOOL_OPTS="--set-eee ${DEVICE} eee off; -s ${DEVICE} speed 1000 duplex full autoneg on; -K ${DEVICE} tx off rx off sg off gso off gro off tso off"

(see https://access.redhat.com/solutions/878503 w/Network-Manager)

- Disabled pcie_aspm in /etc/default/grub

Add pcie_aspm=off to GRUB_CMDLINE_LINUX

- e1000e module changes in /etc/modprobe.d/e1000e.conf 

options e1000e InterruptThrottleRate=3000,3000,3000 RxIntDelay=0

Now I don't know if all of those configurations need to be changed but that is what eventually worked for me.
Comment 32 Andre Ruiz 2018-05-25 14:09:14 EDT
I discovered that if I remove the 10Mbit/s from the advertised modes it will get the next lower speed (in that test, 100Mbit/s). I was sugested that the chip may be in some kind of power saving mode after having slept once. Advertising 1000Mbit only (as Joseph suggested in the last comment) makes it work, in that sense.

This is only about the speed negotiation, still not being able to reproduce the no-traffic situation.
Comment 33 Jeremy Cline 2018-05-30 13:54:21 EDT
Hi Andre, Michael,

We do see all the bugs reported against the kernel, but there are very few of us and a great deal of bug reports.

There seem to be several issues here:

1. The speed is not negotiated correctly. It seems this doesn't always happen, but it's not clear from the comments what the reproducer is. Does it always happen when you first boot? Does it happen some percentage of the time when you unplug and plug the cable in again? Does it only happen after you've suspended the laptop? Narrowing down the reproducer as much as possible is very helpful.

2. Even when the speed is correctly negotiated, incoming and outgoing traffic is quietly dropped. Always? Sometimes? Only after a suspend? Does this in any way relate to what speed was negotiated?

Did this at any point work for you? Does using the settings Joseph posted in comment 31 solve one or both of your problems?

Ultimately this is best reported to upstream, but before that happens it'd be good to narrow things down.
Comment 34 Andre Ruiz 2018-06-01 09:27:54 EDT
Hi Jeremy

1. It's allways good when I first boot. It may be a warm boot, issuing reboot at console and waiting for it to boot again is enough to make it work. Then it will get 1000Mbit/s. After sleeping for the first time, it will only get 10Mbit/s Full Duplex afterwards, on all subsequent tests, until next reboot. Note that it is full duplex, which sugests there is some kind of negotiation going on, because (AFAICT) a failed negotiation would leave the link with 10Mbit/s Hald Fuplex, but don't quote me on that.

Alexander Duyck (on the e1000-devel list) sugested this might be a low power setting wrongly being set after waking up, which would make the ethernet card try to negociate the lowest speed of all available. I removed the 10Mbit/s from the advertised modes, leaving only the 100 and 1000 speeds and indeed it started getting 100Mbit/s after that (in the same scenario it would only get 10Mbit/s before).

Note that is problem does not prevent traffic from flowing, it will only get the speed "wrong". If this was the only problem I had, it would probably have gone unnoticed for a long time, until I really needed the higher speed for something other than using the internet.

This problem is still happening with the last one, and has happened with all kernels released for fedora 28. I'm currently on 4.16.12-300.fc28.x86_64.

2. This other problem is a bit different, but was showing up at the same conditions as the problem above, which for a brief time made them look the same problem. At least in my case, after booting and getting 1000Mbit/s, traffic would pass normally. Then, after sleeping and waking up, it would only get 10Mbit/s (as per the problem N.1 above) and no traffic would pass. DHCP would give up trying to get an IP and gnome would show a message of network failing to come up. A tcpdump would show DHCP requests going out and nothing going in. Also, a lot of ARP requests going out.

It is not clear to me if problem #1 did not exist, problem #2 would still show up at 1000Mbit/s or not. The may be related.

I cannot reproduce this problem for some time now. It was present on the first kernels of fedora 28 but at some kernel upgrade it stopped happening. No other major changes was done other than upgrading kernels. I'm still waiting for it to happen again so I can collect more information.

There is a discussion about this going on at the e1000-devel list on sourceforge (link below). I'm not sure if this is the upstream your are talking about.

https://sourceforge.net/p/e1000/mailman/e1000-devel/?viewmonth=201805

Thanks
Comment 35 Jeremy Cline 2018-06-04 13:55:56 EDT
That is indeed the e1000 driver's mailing list. I recommend working with them to get this resolved, then letting us know when the patch is submitted to the kernel.
Comment 36 Michael Yartys 2018-06-07 17:00:10 EDT
Hi


First off all, I would like to apologise for the belated response. I have discovered that my issue is very likely caused by faulty hardware. Even when I am in the BIOS menu and plug in an ethernet cable the activity LEDs on the port do not light up. Additionally, when trying NIC booting there is also no life in the LEDs.

I did not consider the possibility of a hardware failure since it happened to coincide with an upgrade to Fedora 28, and I would like to apologise for wasting peoples time.

Thank you to Jeremy, Andre, Joseph, and anyone else who happened to be involved.


Michael

Note You need to log in before you can comment on or make changes to this bug.